use clap::Parser;
use scraper::{Html, Selector};

#[derive(Parser)]
struct Cli {
    url: String,
}

fn main() {
    let args = Cli::parse();

    let res = reqwest::blocking::get(&args.url).expect("");
    let raw_html_text = res.text().unwrap();

    let fragment = Html::parse_fragment(&raw_html_text);
    let title_selector = Selector::parse("title").unwrap();
    let title = fragment.select(&title_selector).next().unwrap();

    let title = title.inner_html();
    println!("{}", title.trim());

    // println!("[[{}][{}]]", args.url, title.trim());
}

